Deployments.ai Docs
Alerts

List alert incidents, newest first

GET /v1/alert-incidents · SDK listAlertIncidents · CLI deployments monitor incidents

GET
/v1/alert-incidents

Requires monitors:read.

Authorization

platformBearer
headerAuthorizationBearer <token>

Platform bearer credential accepted as an opaque API key or JWT.

Query Parameters

cursor?string
Length1 <= length <= 4096
limit?integer
Range1 <= value <= 50
environmentId?string

Only monitors or incidents of this environment.

Header Parameters

x-deployments-organization*string
Match^[0-7][0-9A-HJKMNP-TV-Z]{25}$

Response Body

ListAlertIncidentsResponse

application/json
  1. response
items*array<>
nextCursor?|null
curl -X GET "https://example.com/v1/alert-incidents" \  -H "x-deployments-organization: string"
{  "items": [    {      "environmentId": "string",      "id": "string",      "kind": "run-failures",      "monitorId": "string",      "monitorName": "string",      "openedAt": "2019-08-24T14:15:22Z",      "organizationId": "string",      "projectId": "string",      "resolution": "condition-cleared",      "resolvedAt": "2019-08-24T14:15:22Z",      "status": "firing",      "summary": "string",      "timeline": [        {          "at": "2019-08-24T14:15:22Z",          "notified": true,          "summary": "string",          "type": "fired",          "value": 0        }      ]    }  ],  "nextCursor": "string"}